Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class UrlParam

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.NameValuePair
              com.gwtext.client.core.UrlParam

    public class UrlParam

extends NameValuePair

This calass represents a Request URL parameter.

Field Summary

Fields inherited from class com.gwtext.client.core.NameValuePair
`BOOLEAN, DATE, FLOAT, INT, STRING`

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`UrlParam(com.google.gwt.core.client.JavaScriptObject jsObj)`
`UrlParam(java.lang.String paramName, boolean paramValue)`
`UrlParam(java.lang.String paramName, float paramValue)`
`UrlParam(java.lang.String paramName, int paramValue)`
`UrlParam(java.lang.String paramName, java.lang.String paramValue)`

Method Summary

Methods inherited from class com.gwtext.client.core.NameValuePair
`getJsObj, getName, getType, getValue, getValueAsBoolean, getValueAsDate, getValueAsFloat, getValueAsInt`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlParam

    public UrlParam(com.google.gwt.core.client.JavaScriptObject jsObj)

### UrlParam

    public UrlParam(java.lang.String paramName,
                    java.lang.String paramValue)

### UrlParam

    public UrlParam(java.lang.String paramName,
                    boolean paramValue)

### UrlParam

    public UrlParam(java.lang.String paramName,
                    float paramValue)

### UrlParam

    public UrlParam(java.lang.String paramName,
                    int paramValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD